.wx_home_roll {
  padding-top: 15px;
  display: flex;
  background: var(--background);
  border-radius: var(--radius-wrap);
  padding: 15px;
  box-shadow: var(--box-shadow);
  margin-bottom: 20px;
  transition: 0.35s;
}
.wx_home_roll-recommend {
  width: 25%;
  margin-left: 15px;
  display: flex;
  flex-direction: column;
}
.wx_home_roll-recommend.noswiper {
  width: 100%;
  flex-direction: row;
  margin-left: 0;
}
.wx_home_roll-recommend.noswiper .item:first-child {
  margin-bottom: 0;
  margin-right: 7.5px;
}
.wx_home_roll-recommend.noswiper .item:last-child {
  margin-left: 7.5px;
}
.wx_home_roll-recommend .item {
  position: relative;
  width: 100%;
  height: 152px;
  margin-bottom: 15px;
  border-radius: var(--radius-inner);
  overflow: hidden;
}
.wx_home_roll-recommend .item:last-child {
  margin-bottom: 0;
}
.wx_home_roll-recommend .item .thumbnail {
  display: block;
  width: 100%;
  height: 100%;
}
.wx_home_roll-recommend .item .thumbnail img {
  width: 100%;
  height: 100%;
  transition: opacity 0.35s;
  -o-object-fit: cover;
  object-fit: cover;
}
.wx_home_roll-recommend .item .information {
  display: flex;
  align-items: center;
  position: absolute;
  z-index: 1;
  bottom: 0;
  left: 0;
  right: 0;
  padding: 8px;
  background: linear-gradient(to bottom, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.5));
  color: #fff;
  line-height: 20px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.wx_home_roll-recommend .item .information .type {
  background-image: linear-gradient(270deg, #986fee, #8695e6, #68b7dd, #18d7d3);
  background-color: #8695e6;
  text-align: center;
  padding: 0 8px;
  border-radius: 2px;
  height: 20px;
  font-size: 12px;
  color: #fff;
  z-index: 2;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  margin-right: 5px;
}
.wx_home_roll-recommend .item .information .text {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.wx_home_hot-list {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  -webkit-column-gap: 15px;
  background: var(--background);
  border-radius: var(--radius-wrap);
  padding: 15px;
  box-shadow: var(--box-shadow);
  margin-bottom: 20px;
}
.wx_home_hot-list .item {
  overflow: hidden;
}
.wx_home_hot-list .item .link {
  display: block;
}
.wx_home_hot-list .item .link .inner {
  position: relative;
}
.wx_home_hot-list .item .link .inner:hover .image {
  opacity: 0.85;
}
.wx_home_hot-list .item .link .inner:hover .title {
  background: var(--classC);
}
.wx_home_hot-list .item .link .inner .image {
  width: 100%;
  height: 120px;
  -o-object-fit: cover;
  object-fit: cover;
  transition: opacity 0.35s;
  border-radius: var(--radius-inner) var(--radius-inner) 0 0;
}
.wx_home_hot-list .item .link .inner .title {
  font-size: 13px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  text-align: center;
  padding: 0 8px;
  line-height: 32px;
  color: var(--minor);
  background: var(--classD);
  transition: background 0.35s;
  border-radius: 0 0 var(--radius-inner) var(--radius-inner);
}
.wx_home_hot-list .item .link .inner .views {
  display: flex;
  align-items: center;
  position: absolute;
  z-index: 1;
  top: 5px;
  right: 5px;
  background-image: linear-gradient(to right, #fc712a, #f84c39);
  background-color: #f84c39;
  color: #fff;
  font-size: 12px;
  height: 18px;
  padding: 0 8px;
  border-radius: 2px;
  white-space: nowrap;
}
.wx_home_ad {
  padding-bottom: 20px;
}
.wx_home_ad-link {
  display: block;
  position: relative;
}
.wx_home_ad-link .image {
  width: 100%;
  height: 200px;
  -o-object-fit: cover;
  object-fit: cover;
  border-radius: var(--radius-inner);
  transition: opacity 0.35s;
}
.wx_home_ad-link .image:hover {
  opacity: 0.85;
}
.wx_home_ad-link .icon {
  position: absolute;
  z-index: 1;
  top: 10px;
  right: 10px;
  font-size: 12px;
  background: rgba(0, 0, 0, 0.25);
  padding: 2px 5px;
  border-radius: 2px;
  color: #ebebeb;
  pointer-events: none;
}
.wx_home_column {
  display: flex;
  align-items: center;
  border-radius: var(--radius-wrap);
  padding: 0px 15px;
  background: var(--background);
  box-shadow: var(--box-shadow);
}
.wx_home_column-title {
  position: relative;
  display: flex;
  align-items: center;
  color: var(--main);
  font-weight: 500;
  height: 47px;
  line-height: 47px;
}
.wx_home_column-title .item {
  cursor: pointer;
  margin-right: 20px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  transition: color 0.35s;
}
.wx_home_column-title .item.active {
  color: var(--theme);
}
.wx_home_column-title .line {
  position: absolute;
  bottom: 0px;
  left: 0;
  height: 2px;
  border-radius: 1px;
  background: var(--theme);
  transition:
    left 0.35s,
    width 0.35s;
}
.wx_home_column-notice {
  display: flex;
  align-items: center;
  margin-left: auto;
  height: 40px;
}
.wx_home_column-notice svg {
  min-width: 20px;
  min-height: 20px;
  width: 20px;
  height: 20px;
  margin-right: 5px;
}
.wx_home_column-notice a {
  color: var(--routine);
  line-height: 20px;
  max-width: 300px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  transition: color 0.35s;
}
.wx_home_column-notice a:hover {
  color: var(--theme);
}
.swiper-container {
  min-width: 0;
  flex: 1;
  height: 320px;
  --swiper-theme-color: #fff;
  border-radius: var(--radius-inner);
}
.swiper-container .item {
  display: block;
  height: 320px;
  border-radius: var(--radius-inner);
}
.swiper-container .item .thumbnail {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
  transition: opacity 0.35s;
}
.swiper-container .item .thumbnail:hover {
  opacity: 0.85;
}
.swiper-container .item .title {
  position: absolute;
  z-index: 1;
  left: 0;
  right: 0;
  bottom: 0;
  text-align: center;
  background: linear-gradient(to bottom, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.45));
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  color: #fff;
  font-size: 18px;
  padding: 20px;
  font-weight: normal;
}
.swiper-container .item .icon {
  position: absolute;
  z-index: 1;
  top: 10px;
  left: 10px;
  width: 18px;
  height: 18px;
  fill: #fff;
  opacity: 0.5;
}
.swiper-container.swiper-container-horizontal .swiper-pagination-bullets {
  bottom: unset;
  left: unset;
  width: auto;
  right: 10px;
  top: 10px;
}
.swiper-container.swiper-container-vertical .swiper-button-next,
.swiper-container.swiper-container-vertical .swiper-button-prev {
  display: none;
}
.swiper-container .swiper-button-next,
.swiper-container .swiper-button-prev {
  background: rgba(0, 0, 0, 0.1);
  transition:
    background 0.35s,
    right 0.35s,
    left 0.35s;
  border-radius: 2px;
}
.swiper-container .swiper-button-next:hover,
.swiper-container .swiper-button-prev:hover {
  background: rgba(0, 0, 0, 0.25);
}
.swiper-container .swiper-button-next::after,
.swiper-container .swiper-button-prev::after {
  font-size: 20px;
}
.swiper-container .swiper-button-next {
  right: -27px;
}
.swiper-container .swiper-button-prev {
  left: -27px;
}
.swiper-container:hover .swiper-button-next {
  right: 10px;
}
.swiper-container:hover .swiper-button-prev {
  left: 10px;
}
.wx_home_roll-recommend .item:hover {
  opacity: 0.85;
  transition: opacity 0.35s;
}

@media (max-width: 768px) {
  html .index3 .wx_card-img {
    padding-bottom: 40%;
  }
  html .swiper-container {
    height: 200px;
  }
  html .swiper-container .item {
    height: 200px;
  }
}
.wx_home_article-si:hover {
  opacity: 1;
  transform: translateY(-4px);
  box-shadow: 0 2px 10px rgb(0 0 0 / 15%);
}
.wx_home_article-list {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(280px, 1fr));
  gap: 20px;
}
.wx_home_article-list .index3 {
  padding: 0px;
  margin-bottom: 0;
  width: calc(100% - 0px);
}
.wx_home_article-si {
  position: relative;
  width: 100%;
  transition: 0.35s;
  background: var(--background);
  border-radius: var(--radius-wrap);
  box-shadow: var(--box-shadow);
}
.wx_card-img {
  position: relative;
  overflow: hidden;
  padding-bottom: 60%;
  width: 100%;
  height: 0;
}
.wx_card-img img {
  position: absolute;
  overflow: hidden;
  width: 100%;
  height: 100%;
  border-radius: 6px 6px 0 0;
  object-fit: cover;
}
.wx_card-main {
  margin: 0;
  padding: 10px;
}
.wx_card-title {
  display: -webkit-box;
  overflow: hidden;
  margin-top: 5px;
  margin-bottom: 5px;
  max-height: 3em;
  min-height: 3em;
  color: var(--main);
  white-space: normal;
  line-height: 1.5em;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
}
.wx_card-title .wx_card-title-link {
  color: var(--main);
  font-size: 15px;
}
.wx_card-region {
  display: flex;
  align-items: center;
  overflow: hidden;
  margin-bottom: 8px;
  white-space: nowrap;
}
.wx_card-region a {
  display: inline-block;
  margin-right: 5px;
  padding: 2px 5px;
  border-radius: 2px;
  background: var(--theme);
  color: #fff;
  text-align: center;
  font-size: 12px;
}
.wx_card-tags a {
  border-radius: 2px;
  background: var(--classB);
  color: var(--routine);
}
.wx_card-tags a:before {
  content: "#";
}
.wx_card-information {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-top: 3px;
  color: var(--minor);
  font-size: 12px;
}
.wx_card-details-left li {
  display: flex;
  align-items: center;
  margin: 0 10px 0 0;
}
.wx_card-details-left li img {
  position: relative;
  display: inline-block;
  display: inline-block;
  width: 20px;
  height: 20px;
  border-radius: 100px;
  vertical-align: middle;
  flex-shrink: 0;
}
.wx_card-details-right,
.wx_card-details-right li {
  display: flex;
  align-items: center;
}
.wx_card-details-right .iconfont.icon-zan {
  padding-left: 5px;
}
.wx_card-article-top {
  display: inline-block;
  height: 20px;
  line-height: 20px;
  background: #dc3545cf;
  color: #fff;
  font-size: 12px;
  margin-right: 5px;
  border-radius: 2px;
  padding: 0 8px;
  white-space: nowrap;
  vertical-align: 1px;
}

.wx_load {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 20px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.wx_load a {
  cursor: pointer;
  width: 120px;
  text-align: center;
  line-height: 34px;
  height: 34px;
  color: var(--routine);
  background: var(--background);
  box-shadow: var(--box-shadow);
  border-radius: 17px;
  transition: -webkit-transform 0.35s;
  transition: transform 0.35s;
  transition:
    transform 0.35s,
    -webkit-transform 0.35s;
}
.wx_load a:active {
  -webkit-transform: scale(0.85);
  transform: scale(0.85);
}
